Bug 145966 - CAN-2005-0103 Multiple issues in squirrelmail (CAN-2005-0104)
CAN-2005-0103 Multiple issues in squirrelmail (CAN-2005-0104)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Warren Togami
impact=low,public=20050122
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 08:45 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-28 19:31:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-24 08:45:24 EST
*** This bug has been split off bug 145964 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.24
08:43 -------

Two additional issues were fixed in squirrelmail 1.4.4

CAN-2005-0103 for cross site scripting
CAN-2005-0104 for code injectian via unsanitised integer variable

The fixes for these issues are here.
http://cvs.sf.net/viewcvs.py/squirrelmail/squirrelmail/src/webmail.php?r1=1.92.2.8&r2=1.92.2.6&only_with_tag=SM-1_4-STABLE
Comment 1 Mike 2005-03-24 16:00:18 EST
Are these fixes to be released for FC3 in the near future as a new RPM or is the
patch above going to be the sole remedy?

Mike
Comment 2 Warren Togami 2005-03-24 18:46:00 EST
http://people.redhat.com/wtogami/temp/
Please try the update package from here.  Let me know if it upgrades cleanly and
works properly after a day or two of usage.
Comment 3 Mike 2005-03-24 22:32:27 EST
Now hey, that's what I call service!  

I've downloaded it, and successfully upgraded the current FC3 version, and
configured it to operate the same as my production server.  I'll poke at it for
a few days.

Thank-you, Mike
Comment 4 Warren Togami 2005-03-28 19:31:06 EST
Pushed to FC2 and FC3 updates.

Note You need to log in before you can comment on or make changes to this bug.